*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

/* faz o scroll ser suave da pagina */
html{
    scroll-behavior: smooth;
}

:root{
    --primaria: #818181;
    --secundaria: #474747;
    --escuro: #000000;
    --maisEscuro: #0a0f1c;
    --claro: #e2e8f0;
    --vidro: rgba(255, 255, 255, 0.1);
}

body{
    background-color: var(--escuro);
    color: var(--claro);
}

.particulas{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    opacity: 0.5;
    background: radial-gradient(circle at 10% 20%, var(--primaria) 0%, transparent 20%), radial-gradient(circle at 90% 80%, var(--secundaria) 0%, transparent 20%), var(--maisEscuro);
}

.navegacao{
    position: fixed;
    top: 0;
    background: rgba(20, 20, 20, 0.8);;
    width: 100%;
    z-index: 100;
    padding: 1.5rem;

    & .menu{
        display: flex;
        justify-content: center;
        list-style: none;
        gap: 3rem;
        & .menu-link{
            text-decoration: none;
            color: var(--claro);
            font-weight: 500;
            position: relative;
            padding: 0.5rem 0;
        }

        & .menu-link::after{
            content: '';
            height: 2px;
            width: 0;
            position: absolute;
            bottom: 0;
            left: 0;
            background: linear-gradient(90deg, var(--primaria), var(--secundaria));
            transition: width 0.5s ease;
        }

        & .menu-link:hover::after{
            width: 100%;
        }
    }
}

.cabecalho{
    min-height: 110vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    & .foto-perfil{
        width: 350px;
        height: 500px;
        box-shadow: 0 0 20px rgba(180, 180, 180, 0.3);
        border-radius: 50%;
        border: 4px solid var(--vidro);
        animation: flutuar 5s ease infinite; /* ANIMACAO */
    }

    & h1{
        font-size: 3.5rem;
        color: var(--claro);
        font-weight: bold;
        margin: 20px;
    }

    & .cabecalho-subtitulo{
        font-size: 1.5rem;
        color: var(--primaria);
    }

    & .navegacao-socias{
    width: 100%;
    z-index: 100;
    padding: 1.5rem;
    }

    & .menu-socias{
        display: flex;
        justify-content: center;
        list-style: none;
        gap: 2rem;
    }

    & .links-socias{
        font-size: 1.5rem;
        color: var(--primaria);
    }
}

.sobre{
    padding: 6rem 2rem;
    & .sobre-titulo{
        font-size: 3rem;
        color: var(--claro);
        text-align: center;
        margin-bottom: 20px;
    }
    & .sobre-caixa{
        padding: 2rem;
        max-width: 800px;
        margin: 0 auto;
        border-radius: 16px;
        border: 1px solid var(--vidro);
        backdrop-filter: blur(10px);
        background-color: rgba(255, 255, 255, 0.05);
        & .sobre-paragrafo{
            text-align: center;
            font-size: 1rem;
        }
    }
}

.projetos{
    padding: 6rem 2rem;
    & .projetos-titulo{
        text-align: center;
        font-size: 2.5rem;
        margin-bottom: 50px;
    }

    & .projetos-caixa{
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
        gap: 2rem;
        max-width: 1600px;
        margin: 0 auto;
        & .projetos-card{
            background: rgba(255, 255, 255, 0.05);
            border-radius: 16px;
            backdrop-filter: blur(5px);
            border: 1px solid var(--vidro);
            overflow: hidden;
            transition: all 0.5s ease;
            cursor: pointer;
            & .projetos-img{
                height: 200px;
                width: 100%;
                object-fit: cover;
            }

            & .caixa-textos-projetos{
                padding: 1.5rem;
                & .info-projetos{
                    color: rgba(226, 232, 240, 0.8);
                    margin-bottom: 5px;
                }
    
                & .paragrafo-projetos{
                    color: rgba(226, 232, 240, 0.8);
                    line-height: 1.25rem;
                }
            }
        }

        & .projetos-card:hover{
            box-shadow: 0 10px 20px rgba(180, 180, 180, 0.3);
            transform: translateY(-10px) scale(1.03);
            }

            & .projeto-links{
                text-decoration: none;
            }
    }
}

.contatos{
    padding: 6rem 2rem;
    & .contatos-titulo{
        text-align: center;
        font-size: 2.5rem;
        margin-bottom: 50px;
    }

    & .formulario-contato{
        max-width: 600px;
        margin: 0 auto;
        background: rgba(255, 255, 255, 0.05);
        backdrop-filter: blur(5px);
        padding: 2rem;
        border: 1px solid var(--vidro);
        border-radius: 16px;
        & .grupo-form{
            margin-bottom: 1.5rem;
            & .campo-form{
                width: 100%;
                padding: 1.5rem;
                background: rgba(255, 255, 255, 0.05);
                border-radius: 8px;
                color: var(--claro);
                border: 1px solid var(--vidro);
                outline: none;
                transition: all 0.3s ease;
            }

            & .campo-form:focus{
                border-color: var(--secundaria);
                box-shadow: 0 0px 10px rgba(180, 180, 180, 0.3);
            }
        }

        & .botao-form{
            color: var(--claro);
            background: var(--escuro);
            padding: 1rem 2rem;
            border: 1px solid var(--vidro);
            border-radius: 8px;
            cursor: pointer;
            font-weight: bold;
            width: 100%;
            transition: all 0.5s ease;
        }
        
        & .botao-form:hover{
            transform: translateY(-4px);
            background: var(--claro);
            color: var(--escuro);
            box-shadow: 0 5px 15px rgba(180, 180, 180, 0.3);
        }
    }
}

/* CRIA UMA ANIMACAO */
@keyframes flutuar{
    0%, 100% {
        transform: translateY(0);
    }

    50%{
        transform: translateY(-20px);
    }
}

/* RESPONSIVIDADE */

@media(max-width: 740px){
    .cabecalho{
        min-height: 110vh;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        margin-top: 70px;
        & .foto-perfil{
            width: 350px;
            height: 500px;
            box-shadow: 0 0 20px rgba(180, 180, 180, 0.3);
            border-radius: 50%;
            border: 4px solid var(--vidro);
            animation: flutuar 5s ease infinite; /* ANIMACAO */
        }
    
        & h1{
            font-size: 3.5rem;
            font-weight: bold;
            margin: 20px;
        }
    
        & .cabecalho-subtitulo{
            font-size: 1.5rem;
        }
    }
}